<%@ WebService Language="C#" Class="AutoComplete" %>

using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Collections.Generic;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
[System.Web.Script.Services.ScriptService]
public class AutoComplete  : System.Web.Services.WebService
{
	[WebMethod]
	public IList<object[]> GetSearchCompletionList(string prefixText, int count)
	{
		if (count == 0)
		{
			count = 10;
		}

		Random random = new Random();
		IList<object[]> items = new List<object[]>(count);
		for (int i = 0; i < count; i++)
		{
			char c1 = (char)random.Next(65, 90);
			char c2 = (char)random.Next(97, 122);
			char c3 = (char)random.Next(97, 122);

			items.Add(new object[] { prefixText + c1 + c2 + c3, random.Next(10000, 300000) });
		}

		return items;
	}
	
	
	private static string[] emails = new string[]
	{
		"\"jeffrey zhao at yahoo\" &lt;jeffz@yahoo.com&gt;",
		"\"jeffrey zhao at yahoo china\" &lt;jeffz@yahoo.com.cn&gt;",
		"\"jeffrey zhao at live mail\" &lt;jeffz@live.com&gt;",
		"\"jeffrey zhao at gmail\" &lt;jeffz@gmail.com&gt;"
	};


	[WebMethod]
	public IList<object[]> GetEmailCompletionList(string prefixText, int count)
	{
		IList<object[]> items = new List<object[]>();

		prefixText = prefixText.Trim();
		foreach (string email in emails)
		{
			if (email.Contains(prefixText))
			{
				string encoded = email.Replace(prefixText, "<b>" + prefixText + "</b>");
				items.Add(new object[] { HttpUtility.HtmlDecode(email) + ";", encoded });
			}
		}
			
		return items;
	}
}

